HYPOT(3M)

NAME
hypot - Euclidean distance

SYNOPSIS
#include <math.h>

double hypot(x, y)
double x, y;

DESCRIPTION
hypot() returns

    sqrt(x*x + y*y) ,

taking precautions against unwarranted IEEE exceptions. On IEEE overflow, hypot() may also set errno and call matherr(3M). hypot(±∞, y) is +∞ for any y, even a NaN, and is exceptional only for a signaling NaN.

hypot(x,y) and atan2(y,x) (see trig(3M)) convert rectangular coordinates (x,y) to polar (r,θ); hypot() computes r, the modulus or radius.

SEE ALSO
trig(3M), matherr(3M)